com.h3c.util.persistence.cassandra.entitymgr.column

## Class Column<K extends Serializable & Comparable<K>,V>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.Column<K,V>

- Type Parameters:
    `K` - type of the column key or name
    `V` - type of the column value
  All Implemented Interfaces:
    Visitable<ColumnVisitor<K>>
  Direct Known Subclasses:
    BooleanColumn, ByteArrayColumn, ByteColumn, CustomColumn, DateColumn, DoubleColumn, EnumColumn, FloatColumn, IntegerColumn, LongColumn, StringColumn, ValuelessColumn

      public abstract class Column<K extends Serializable & Comparable<K>,V>
      extends Object
      implements Visitable<ColumnVisitor<K>>

  Represents Column.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.netflix.astyanax.Serializer<V>` | `serializer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Column(ColumnName<K,V> name)` Creates a column with no value.
    `protected` | `Column(ColumnName<K,V> name, V value)` Creates a column.
    `` | `Column(ColumnName<K,V> name, V value, com.netflix.astyanax.Serializer<V> serializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `compareTo(Column<K,V> o2)`
    `boolean` | `equals(Object obj)`
    `ColumnName<K,V>` | `getName()` Gets the column's name.
    `com.netflix.astyanax.Serializer<V>` | `getSerializer()` Gets the serializer to use to encode decode the value.
    `V` | `getValue()` Gets the column's value.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.util.Visitable

      `accept`

- - ### Field Detail

    - #### serializer

          protected final com.netflix.astyanax.Serializer<V> serializer

  - ### Constructor Detail

    - #### Column

          protected Column(ColumnName<K,V> name)

      Creates a column with no value.
      Parameters:
        `name` - column's name

    - #### Column

          protected Column(ColumnName<K,V> name,
                V value)

      Creates a column.
      Parameters:
        `name` - column's name
        `value` - column's value

    - #### Column

          public Column(ColumnName<K,V> name,
                V value,
                com.netflix.astyanax.Serializer<V> serializer)

  - ### Method Detail

    - #### getName

          public ColumnName<K,V> getName()

      Gets the column's name.
      Returns:
        the column's name

    - #### getValue

          public V getValue()

      Gets the column's value.
      Returns:
        the column's value

    - #### getSerializer

          public com.netflix.astyanax.Serializer<V> getSerializer()

      Gets the serializer to use to encode decode the value.
      Returns:
        the serializer.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public abstract int compareTo(Column<K,V> o2)

Copyright © 2014. All Rights Reserved.